
From: Ralf Baechle <ralf@linux-mips.org>

When compiling the Symbios driver into the kernel the kernel won't link
with a ...  undefined reference to `local symbols in discarded section
.exit.text' error message because sym_detach is marked __devexit but called
from both __devexit and __devinit code.



---

 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/sym53c8xx_2/sym_glue.c~symbios-build-fix drivers/scsi/sym53c8xx_2/sym_glue.c
--- 25/drivers/scsi/sym53c8xx_2/sym_glue.c~symbios-build-fix	Mon Jan 12 13:40:14 2004
+++ 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c	Mon Jan 12 13:40:14 2004
@@ -2177,7 +2177,7 @@ sym53c8xx_pci_init(struct pci_dev *pdev,
  *  Detach the host.
  *  We have to free resources and halt the NCR chip.
  */
-static int __devexit sym_detach(struct sym_hcb *np)
+static int sym_detach(struct sym_hcb *np)
 {
 	printk("%s: detaching ...\n", sym_name(np));
 

_
